From ded807b01792e966a4ce4905cc3ed2483c52294a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Fri, 31 Jan 2020 17:37:17 +0100
Subject: [PATCH] Fix describe-mode-local-bindings lexical-binding damage

* lisp/cedet/mode-local.el (mode-local-print-bindings):
Repair code that relied on dynamic binding.
---
 lisp/cedet/mode-local.el | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/lisp/cedet/mode-local.el b/lisp/cedet/mode-local.el
index a6e143cfcd..70ed62f4fb 100644
--- a/lisp/cedet/mode-local.el
+++ b/lisp/cedet/mode-local.el
@@ -819,14 +819,11 @@ mode-local-print-bindings
         )
     ;; Order symbols by type
     (mapatoms
-     #'(lambda (s)
-         (add-to-list (cond
-                       ((get s 'mode-variable-flag)
-                        (if (get s 'constant-flag) 'mc 'mv))
-                       ((get s 'override-flag)
-                        (if (get s 'constant-flag) 'fo 'ov))
-                       ('us))
-                      s))
+     (lambda (s) (push s (cond ((get s 'mode-variable-flag)
+                                (if (get s 'constant-flag) mc mv))
+                               ((get s 'override-flag)
+                                (if (get s 'constant-flag) fo ov))
+                               (t us))))
      table)
     ;; Print symbols by type
     (when us
-- 
2.21.1 (Apple Git-122.3)

